// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define addServerCompdef_AddServer_impl_BODY

/************************************************************
 AddServer_impl class body
 ************************************************************/

// include associated header file
#include "addServerCompdef/AddServer_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace addServerCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
AddServer_impl::AddServer_impl(rclcpp::NodeOptions /*in*/options) :
    AddServer(options) {
}

/**
 * 
 * @param request 
 * @param response 
 * @return ret 
 */
bool AddServer_impl::fAdder(
    const simple_msgs::srv::AddServiceDef::Request::SharedPtr /*in*/request,
    const simple_msgs::srv::AddServiceDef::Response::SharedPtr /*in*/response) {
}

} // of namespace addServerCompdef

/************************************************************
 End of AddServer_impl class body
 ************************************************************/
